Bug 1299407 - Missing build deps or config
Missing build deps or config
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libcec (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 05:14 EST by Ville Skyttä
Modified: 2016-05-07 07:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: libcec-3.1.0-1.fc23 libcec-3.1.0-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 10:54:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
git diff HEAD > libcec.spec.patch (3.54 KB, patch)
2016-04-18 00:36 EDT, Sergio Monteiro Basto
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2016-01-18 05:14:26 EST
libcec-3.0.1-2 is either missing a number of build dependencies, or explicit build config flags that disable those features. At least the presence of the following packages in the build root that are currently not build dependencies causes extra features to be built:

ncurses-devel
python3-devel
swig

If for nothing else, for reproducible builds these should be added as build dependencies, or if the related features are not desirable, they should be disabled by explicit build flags so that they don't get built even if the above packages are present.
Comment 1 Jan Kurik 2016-02-24 09:17:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Sergio Monteiro Basto 2016-04-18 00:36 EDT
Created attachment 1148105 [details]
git diff HEAD > libcec.spec.patch

patch to add BRs and python sub package .
Comment 3 Fedora Update System 2016-04-26 17:11:14 EDT
libcec-3.1.0-1.fc24 platform-2.0.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ef80d071f
Comment 4 Fedora Update System 2016-04-26 17:11:32 EDT
libcec-3.1.0-1.fc23 platform-2.0.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6df9fc457b
Comment 5 Fedora Update System 2016-04-27 13:50:59 EDT
libcec-3.1.0-1.fc24, platform-2.0.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2ef80d071f
Comment 6 Fedora Update System 2016-04-27 22:31:58 EDT
libcec-3.1.0-1.fc23, platform-2.0.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6df9fc457b
Comment 7 Fedora Update System 2016-05-05 10:54:39 EDT
libcec-3.1.0-1.fc23, platform-2.0.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-05-07 07:50:15 EDT
libcec-3.1.0-1.fc24, platform-2.0.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.